hub-remote(1)

NAME
hub-remote - Add a git remote for a GitHub repository.

SYNOPSIS

hub remote add [-p] [OPTIONS] USER[/REPOSITORY]
hub remote set-url [-p] [OPTIONS] NAME USER[/REPOSITORY]

OPTIONS

-p
    (Deprecated) Use the ssh: protocol instead of git: for the remote URL. The writeable ssh: protocol is automatically used for own repos, GitHub Enterprise remotes, and private or pushable repositories.

USER[/REPOSITORY]
    If USER is "origin", that value will be substituted for your GitHub username. REPOSITORY defaults to the name of the current working directory.

EXAMPLES

    $ hub remote add jingweno
    > git remote add jingweno git://github.com/jingweno/REPO.git
    $ hub remote add origin
    > git remote add origin git@github.com:USER/REPO.git

SEE ALSO

hub-fork(1), hub(1), git-remote(1)